PrefabFiles = {
	"geno_sans",
	"geno_sans_none",
	"geno_sans_skins",
	"completelyregularattack",
	"pizza",
	"sans_magic",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/geno_sans.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/geno_sans.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/geno_sans.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/geno_sans.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/geno_sans_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/geno_sans_silho.xml" ),

    Asset( "IMAGE", "bigportraits/geno_sans.tex" ),
    Asset( "ATLAS", "bigportraits/geno_sans.xml" ),
	--Skins
	Asset( "IMAGE", "bigportraits/geno_sans_survivor.tex" ),
    Asset( "ATLAS", "bigportraits/geno_sans_survivor.xml" ),
	
	Asset( "IMAGE", "bigportraits/geno_sans_formal.tex" ),
    Asset( "ATLAS", "bigportraits/geno_sans_formal.xml" ),
	
	Asset( "IMAGE", "bigportraits/geno_sans_shadow.tex" ),
    Asset( "ATLAS", "bigportraits/geno_sans_shadow.xml" ),
	--
	Asset( "IMAGE", "images/map_icons/geno_sans.tex" ),
	Asset( "ATLAS", "images/map_icons/geno_sans.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_geno_sans.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_geno_sans.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_geno_sans.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_geno_sans.xml" ),

	Asset("SOUNDPACKAGE", "sound/sans.fev"),
    Asset("SOUND", "sound/sans.fsb"),

    Asset( "ATLAS", "images/hud/geno_sanstab.xml" ),
	Asset( "IMAGE", "images/hud/geno_sanstab.tex" ),
}

RemapSoundEvent( "dontstarve/characters/sans/death_voice", "sans/sans/death_voice" )
RemapSoundEvent( "dontstarve/characters/sans/hurt", "sans/sans/hurt" )
RemapSoundEvent( "dontstarve/characters/sans/talk_LP", "sans/sans/talk_LP" )

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local STRINGS = GLOBAL.STRINGS
local TECH = GLOBAL.TECH

local geno_sanstab = AddRecipeTab( "Save File", 996, "images/hud/geno_sanstab.xml", "geno_sanstab.tex", "geno_sansational")

AddRecipe("pizza", 
{GLOBAL.Ingredient("berries", 2), Ingredient("smallmeat", 2), Ingredient("honey", 2)},
geno_sanstab, TECH.NONE, nil, nil, nil, nil, "geno_sansational", 
"images/inventoryimages/pizza.xml", "pizza.tex" )

AddRecipe("completelyregularattack", 
{GLOBAL.Ingredient("boneshard", 6)},
geno_sanstab, TECH.NONE, nil, nil, nil, nil, "geno_sansational", 
"images/inventoryimages/completelyregularattack.xml", "completelyregularattack.tex" )

AddRecipe("sans_magic", 
{GLOBAL.Ingredient("nightmarefuel", 4), Ingredient("completelyregularattack", 1, "images/inventoryimages/completelyregularattack.xml"), Ingredient("bluegem", 1)},
geno_sanstab, TECH.NONE, nil, nil, nil, nil, "geno_sansational", 
"images/inventoryimages/sans_magic.xml", "sans_magic.tex" )

-- The character select screen lines
STRINGS.CHARACTER_TITLES.geno_sans = "geno_sans."
STRINGS.CHARACTER_NAMES.geno_sans = "Geno-Sans"
STRINGS.CHARACTER_DESCRIPTIONS.geno_sans = "*Low hunger depletion\n*Science-y skeleton\n*Low health"
STRINGS.CHARACTER_QUOTES.geno_sans = "\"human. Don't you know how to greet a new pal?\""

GLOBAL.STRINGS.SKIN_QUOTES.geno_sans_survivor = "BACK OFF!"
GLOBAL.STRINGS.SKIN_NAMES.geno_sans_survivor = "Fell Sans"

GLOBAL.STRINGS.SKIN_QUOTES.geno_sans_formal = "Victim of the X-event."
GLOBAL.STRINGS.SKIN_NAMES.geno_sans_formal = "X Geno-Sans"

GLOBAL.STRINGS.SKIN_QUOTES.geno_sans_shadow = "P...Paps..."
GLOBAL.STRINGS.SKIN_NAMES.geno_sans_shadow = "Fatal Error"

-- Custom speech strings
STRINGS.CHARACTERS.GENO_SANS = require "speech_geno_sans"

-- The character's name as appears in-game 
STRINGS.NAMES.GENO_SANS = "Geno-Sans"

-- The default responses of examining the character
STRINGS.CHARACTERS.GENERIC.DESCRIBE.GENO_SANS = 
{
	GENERIC = "That skeleton has REALLY big bones...",
	ATTACKER = "That skeleton looks shifty...",
	MURDERER = "And you call ME a brother killer...",
	REVIVER = "Geno, friend of ghosts... and probably skeletons.",
	GHOST = "Looks like he needs a SOUL.",
}

-- Check settings for player poison.
GLOBAL.TUNING.PLAYER_POISON = GetModConfigData("player_poison") or false
GLOBAL.TUNING.POISON_DPS = GetModConfigData("poison_dps") or 1/1000

AddMinimapAtlas("images/map_icons/geno_sans.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("geno_sans", "MALE")
modimport("scripts/geno_sansmod_skins.lua")
modimport("strings.lua")