local assets=
{
	Asset("ANIM", "anim/pizza.zip"),
	Asset("ATLAS", "images/inventoryimages/pizza.xml"),
}

local prefabs =
{
	"spoiled_food",
}

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	
	inst.entity:AddNetwork()
	
    MakeInventoryPhysics(inst)
	
    inst:AddTag("preparedfood")
	
    inst.AnimState:SetBuild("pizza")
    inst.AnimState:SetBank("pizza")
    inst.AnimState:PlayAnimation("idle")
    
	if not TheWorld.ismastersim then
        return inst
    end

    inst.entity:SetPristine()
	
    inst:AddComponent("edible")
	inst.components.edible.foodtype = "MEAT"
	
    inst.components.edible.healthvalue = 70
    inst.components.edible.hungervalue = 70
	inst.components.edible.sanityvalue = 70

    inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM

    inst:AddComponent("tradable")
	inst.components.tradable.goldvalue = TUNING.GOLD_VALUES.MEAT

    inst:AddComponent("inspectable")
    
	inst:AddComponent("perishable")
	inst.components.perishable:SetPerishTime(TUNING.PERISH_MED)
	inst.components.perishable:StartPerishing()
	inst.components.perishable.onperishreplacement = "spoiled_food"
        
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/pizza.xml"
    
    return inst
end

return Prefab("common/inventory/pizza", fn, assets, prefabs) 